Changeset 477


Ignore:
Timestamp:
Sep 12, 2013 12:19:26 AM (4 years ago)
Author:
tkr
Message:

Re-running autotools

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/CoinMP/configure

    r473 r477  
    10871087                          icl/link). Default when mentioned: mingw. Default
    10881088                          when not mentioned: disabled.
     1089
    10891090  --enable-static[=PKGS]
    10901091                          build static libraries [default=no]
     
    19381939echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
    19391940  fi
     1941
     1942
     1943# Check whether --enable-static-standardlibs or --disable-static-standardlibs was given.
     1944if test "${enable_static_standardlibs+set}" = set; then
     1945  enableval="$enable_static_standardlibs"
     1946  case "$enableval" in
     1947     no | yes | auto ) ;;
     1948     *)
     1949       { { echo "$as_me:$LINENO: error: invalid argument for --enable-static-standardlibs: $enableval" >&5
     1950echo "$as_me: error: invalid argument for --enable-static-standardlibs: $enableval" >&2;}
     1951   { (exit 1); exit 1; }; } ;;
     1952   esac
     1953   use_static_standardlibs=$enableval
     1954else
     1955  use_static_standardlibs=no
     1956fi;
     1957
    19401958
    19411959
     
    27802798echo "$as_me: Overruling autoconf; cl does not recognise -g." >&6;}
    27812799    fi ;;
     2800  * )
     2801    CYGPATH_W=echo
     2802    ;;
    27822803esac
    27832804CFLAGS="$save_cflags"
     
    30743095    CFLAGS="$OPT_CFLAGS"
    30753096  fi
     3097
    30763098else
    30773099  CFLAGS="$CFLAGS $ADD_CFLAGS $CDEFS"
     
    32423264esac
    32433265
     3266# check whether to add flags for static linking against standard libraries to LDFLAGS
     3267if test x$use_static_standardlibs != xno ; then
     3268  case $build in
     3269    *-mingw*)
     3270      static_standardlib_flag=-static
     3271      ;;
     3272    *)
     3273      static_standardlib_flag=-static-libgcc
     3274      ;;
     3275  esac
     3276  case " $LDFLAGS " in
     3277    *" $static_standardlib_flag "* ) ;;
     3278    *)
     3279    echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
     3280echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
     3281    coin_save_LDFLAGS="$LDFLAGS"
     3282    LDFLAGS="$LDFLAGS $static_standardlib_flag"
     3283    cat >conftest.$ac_ext <<_ACEOF
     3284/* confdefs.h.  */
     3285_ACEOF
     3286cat confdefs.h >>conftest.$ac_ext
     3287cat >>conftest.$ac_ext <<_ACEOF
     3288/* end confdefs.h.  */
     3289
     3290int
     3291main ()
     3292{
     3293int i=0;
     3294  ;
     3295  return 0;
     3296}
     3297_ACEOF
     3298rm -f conftest.$ac_objext conftest$ac_exeext
     3299if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     3300  (eval $ac_link) 2>conftest.er1
     3301  ac_status=$?
     3302  grep -v '^ *+' conftest.er1 >conftest.err
     3303  rm -f conftest.er1
     3304  cat conftest.err >&5
     3305  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3306  (exit $ac_status); } &&
     3307         { ac_try='test -z "$ac_c_werror_flag"
     3308                         || test ! -s conftest.err'
     3309  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3310  (eval $ac_try) 2>&5
     3311  ac_status=$?
     3312  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3313  (exit $ac_status); }; } &&
     3314         { ac_try='test -s conftest$ac_exeext'
     3315  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3316  (eval $ac_try) 2>&5
     3317  ac_status=$?
     3318  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3319  (exit $ac_status); }; }; then
     3320  echo "$as_me:$LINENO: result: yes" >&5
     3321echo "${ECHO_T}yes" >&6
     3322else
     3323  echo "$as_me: failed program was:" >&5
     3324sed 's/^/| /' conftest.$ac_ext >&5
     3325
     3326echo "$as_me:$LINENO: result: no" >&5
     3327echo "${ECHO_T}no" >&6
     3328       LDFLAGS="$coin_save_LDFLAGS"
     3329       if test $use_static_standardlibs = yes ; then
     3330         { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
     3331echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
     3332   { (exit 1); exit 1; }; }
     3333       fi
     3334
     3335fi
     3336rm -f conftest.err conftest.$ac_objext \
     3337      conftest$ac_exeext conftest.$ac_ext
     3338    ;;
     3339  esac
     3340fi
     3341
    32443342ac_ext=c
    32453343ac_cpp='$CPP $CPPFLAGS'
     
    32513349
    32523350 #Let's try if that overcomes configuration problem with VC++ 6.0
     3351
    32533352
    32543353ac_ext=cc
     
    37433842echo "$as_me: Overruling autoconf; cl does not recognise -g." >&6;}
    37443843    fi ;;
     3844  * )
     3845    CYGPATH_W=echo
     3846    ;;
    37453847esac
    37463848CXXFLAGS="$save_cxxflags"
     
    42004302esac
    42014303
     4304# check whether to add flag for static linking against standard libraries to LDFLAGS
     4305if test x$use_static_standardlibs != xno ; then
     4306  case $build in
     4307    *-mingw*)
     4308      static_standardlib_flag=-static
     4309      ;;
     4310    *)
     4311      static_standardlib_flag=-static-libstdc++
     4312      ;;
     4313  esac
     4314  case " $LDFLAGS " in
     4315    *" $static_standardlib_flag "* ) ;;
     4316    *)
     4317    echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
     4318echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
     4319    coin_save_LDFLAGS="$LDFLAGS"
     4320    LDFLAGS="$LDFLAGS $static_standardlib_flag"
     4321    cat >conftest.$ac_ext <<_ACEOF
     4322/* confdefs.h.  */
     4323_ACEOF
     4324cat confdefs.h >>conftest.$ac_ext
     4325cat >>conftest.$ac_ext <<_ACEOF
     4326/* end confdefs.h.  */
     4327
     4328int
     4329main ()
     4330{
     4331int i=0;
     4332  ;
     4333  return 0;
     4334}
     4335_ACEOF
     4336rm -f conftest.$ac_objext conftest$ac_exeext
     4337if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     4338  (eval $ac_link) 2>conftest.er1
     4339  ac_status=$?
     4340  grep -v '^ *+' conftest.er1 >conftest.err
     4341  rm -f conftest.er1
     4342  cat conftest.err >&5
     4343  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4344  (exit $ac_status); } &&
     4345         { ac_try='test -z "$ac_cxx_werror_flag"
     4346                         || test ! -s conftest.err'
     4347  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4348  (eval $ac_try) 2>&5
     4349  ac_status=$?
     4350  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4351  (exit $ac_status); }; } &&
     4352         { ac_try='test -s conftest$ac_exeext'
     4353  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4354  (eval $ac_try) 2>&5
     4355  ac_status=$?
     4356  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4357  (exit $ac_status); }; }; then
     4358  echo "$as_me:$LINENO: result: yes" >&5
     4359echo "${ECHO_T}yes" >&6
     4360else
     4361  echo "$as_me: failed program was:" >&5
     4362sed 's/^/| /' conftest.$ac_ext >&5
     4363
     4364echo "$as_me:$LINENO: result: no" >&5
     4365echo "${ECHO_T}no" >&6
     4366       LDFLAGS="$coin_save_LDFLAGS"
     4367       if test $use_static_standardlibs = yes ; then
     4368         { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
     4369echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
     4370   { (exit 1); exit 1; }; }
     4371       fi
     4372
     4373fi
     4374rm -f conftest.err conftest.$ac_objext \
     4375      conftest$ac_exeext conftest.$ac_ext
     4376    ;;
     4377  esac
     4378fi
     4379
    42024380ac_ext=c
    42034381ac_cpp='$CPP $CPPFLAGS'
     
    42274405  # On Cygwin and AIX, building DLLs doesn't work
    42284406  case $build in
    4229     *-cygwin*)
     4407    *-cygwin* | *-mingw*)
    42304408      coin_disable_shared=yes
    4231       platform=Cygwin
     4409      if test x"$enable_shared" = xyes; then
     4410        case "$CXX" in
     4411          clang* )
     4412            { echo "$as_me:$LINENO: WARNING: DLL building not supported. I'm disabling your choice." >&5
     4413echo "$as_me: WARNING: DLL building not supported. I'm disabling your choice." >&2;}
     4414            ;;
     4415          cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
     4416            { echo "$as_me:$LINENO: WARNING: DLL building not supported. I'm disabling your choice, but will build with -MD(d) instead of -MT(d)." >&5
     4417echo "$as_me: WARNING: DLL building not supported. I'm disabling your choice, but will build with -MD(d) instead of -MT(d)." >&2;}
     4418            ;;
     4419          *)
     4420            { echo "$as_me:$LINENO: WARNING: DLL building not supported. I'm disabling your choice." >&5
     4421echo "$as_me: WARNING: DLL building not supported. I'm disabling your choice." >&2;}
     4422            ;;
     4423        esac
     4424      fi
    42324425    ;;
    42334426    *-aix*)
    42344427      coin_disable_shared=yes
    42354428      platform=AIX
    4236     ;;
    4237     *-mingw*)
    4238       coin_disable_shared=yes
    4239       platform="Msys"
    4240 #      case "$CXX" in
    4241 #        cl*)
    4242 #          coin_disable_shared=yes
    4243 #          platform="Msys with cl"
    4244 #      ;;
    4245 #      esac
     4429      if test x"$enable_shared" = xyes; then
     4430        { echo "$as_me:$LINENO: WARNING: Shared objects are not supported. I'm disabling your choice." >&5
     4431echo "$as_me: WARNING: Shared objects are not supported. I'm disabling your choice." >&2;}
     4432      fi
    42464433    ;;
    42474434  esac
     
    42494436if test x"$coin_disable_shared" = xyes; then
    42504437  if test x"$enable_shared" = xyes; then
    4251     { echo "$as_me:$LINENO: WARNING: On $platform, shared objects are not supported. I'm disabling your choice." >&5
    4252 echo "$as_me: WARNING: On $platform, shared objects are not supported. I'm disabling your choice." >&2;}
     4438    :
    42534439  else
    42544440    # we don't disable shared, because it was not selected anyway
     
    59606146*-*-irix6*)
    59616147  # Find out which ABI we are using.
    5962   echo '#line 5962 "configure"' > conftest.$ac_ext
     6148  echo '#line 6148 "configure"' > conftest.$ac_ext
    59636149  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    59646150  (eval $ac_compile) 2>&5
     
    70947280
    70957281# Provide some information about the compiler.
    7096 echo "$as_me:7096:" \
     7282echo "$as_me:7282:" \
    70977283     "checking for Fortran 77 compiler version" >&5
    70987284ac_compiler=`set X $ac_compile; echo $2`
     
    81618347   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    81628348   -e 's:$: $lt_compiler_flag:'`
    8163    (eval echo "\"\$as_me:8163: $lt_compile\"" >&5)
     8349   (eval echo "\"\$as_me:8349: $lt_compile\"" >&5)
    81648350   (eval "$lt_compile" 2>conftest.err)
    81658351   ac_status=$?
    81668352   cat conftest.err >&5
    8167    echo "$as_me:8167: \$? = $ac_status" >&5
     8353   echo "$as_me:8353: \$? = $ac_status" >&5
    81688354   if (exit $ac_status) && test -s "$ac_outfile"; then
    81698355     # The compiler can only warn and ignore the option if not recognized
     
    84298615   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    84308616   -e 's:$: $lt_compiler_flag:'`
    8431    (eval echo "\"\$as_me:8431: $lt_compile\"" >&5)
     8617   (eval echo "\"\$as_me:8617: $lt_compile\"" >&5)
    84328618   (eval "$lt_compile" 2>conftest.err)
    84338619   ac_status=$?
    84348620   cat conftest.err >&5
    8435    echo "$as_me:8435: \$? = $ac_status" >&5
     8621   echo "$as_me:8621: \$? = $ac_status" >&5
    84368622   if (exit $ac_status) && test -s "$ac_outfile"; then
    84378623     # The compiler can only warn and ignore the option if not recognized
     
    85338719   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    85348720   -e 's:$: $lt_compiler_flag:'`
    8535    (eval echo "\"\$as_me:8535: $lt_compile\"" >&5)
     8721   (eval echo "\"\$as_me:8721: $lt_compile\"" >&5)
    85368722   (eval "$lt_compile" 2>out/conftest.err)
    85378723   ac_status=$?
    85388724   cat out/conftest.err >&5
    8539    echo "$as_me:8539: \$? = $ac_status" >&5
     8725   echo "$as_me:8725: \$? = $ac_status" >&5
    85408726   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    85418727   then
     
    1087811064  lt_status=$lt_dlunknown
    1087911065  cat > conftest.$ac_ext <<EOF
    10880 #line 10880 "configure"
     11066#line 11066 "configure"
    1088111067#include "confdefs.h"
    1088211068
     
    1097811164  lt_status=$lt_dlunknown
    1097911165  cat > conftest.$ac_ext <<EOF
    10980 #line 10980 "configure"
     11166#line 11166 "configure"
    1098111167#include "confdefs.h"
    1098211168
     
    1332213508   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1332313509   -e 's:$: $lt_compiler_flag:'`
    13324    (eval echo "\"\$as_me:13324: $lt_compile\"" >&5)
     13510   (eval echo "\"\$as_me:13510: $lt_compile\"" >&5)
    1332513511   (eval "$lt_compile" 2>conftest.err)
    1332613512   ac_status=$?
    1332713513   cat conftest.err >&5
    13328    echo "$as_me:13328: \$? = $ac_status" >&5
     13514   echo "$as_me:13514: \$? = $ac_status" >&5
    1332913515   if (exit $ac_status) && test -s "$ac_outfile"; then
    1333013516     # The compiler can only warn and ignore the option if not recognized
     
    1342613612   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1342713613   -e 's:$: $lt_compiler_flag:'`
    13428    (eval echo "\"\$as_me:13428: $lt_compile\"" >&5)
     13614   (eval echo "\"\$as_me:13614: $lt_compile\"" >&5)
    1342913615   (eval "$lt_compile" 2>out/conftest.err)
    1343013616   ac_status=$?
    1343113617   cat out/conftest.err >&5
    13432    echo "$as_me:13432: \$? = $ac_status" >&5
     13618   echo "$as_me:13618: \$? = $ac_status" >&5
    1343313619   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1343413620   then
     
    1499615182   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1499715183   -e 's:$: $lt_compiler_flag:'`
    14998    (eval echo "\"\$as_me:14998: $lt_compile\"" >&5)
     15184   (eval echo "\"\$as_me:15184: $lt_compile\"" >&5)
    1499915185   (eval "$lt_compile" 2>conftest.err)
    1500015186   ac_status=$?
    1500115187   cat conftest.err >&5
    15002    echo "$as_me:15002: \$? = $ac_status" >&5
     15188   echo "$as_me:15188: \$? = $ac_status" >&5
    1500315189   if (exit $ac_status) && test -s "$ac_outfile"; then
    1500415190     # The compiler can only warn and ignore the option if not recognized
     
    1510015286   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1510115287   -e 's:$: $lt_compiler_flag:'`
    15102    (eval echo "\"\$as_me:15102: $lt_compile\"" >&5)
     15288   (eval echo "\"\$as_me:15288: $lt_compile\"" >&5)
    1510315289   (eval "$lt_compile" 2>out/conftest.err)
    1510415290   ac_status=$?
    1510515291   cat out/conftest.err >&5
    15106    echo "$as_me:15106: \$? = $ac_status" >&5
     15292   echo "$as_me:15292: \$? = $ac_status" >&5
    1510715293   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1510815294   then
     
    1730717493   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1730817494   -e 's:$: $lt_compiler_flag:'`
    17309    (eval echo "\"\$as_me:17309: $lt_compile\"" >&5)
     17495   (eval echo "\"\$as_me:17495: $lt_compile\"" >&5)
    1731017496   (eval "$lt_compile" 2>conftest.err)
    1731117497   ac_status=$?
    1731217498   cat conftest.err >&5
    17313    echo "$as_me:17313: \$? = $ac_status" >&5
     17499   echo "$as_me:17499: \$? = $ac_status" >&5
    1731417500   if (exit $ac_status) && test -s "$ac_outfile"; then
    1731517501     # The compiler can only warn and ignore the option if not recognized
     
    1757517761   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1757617762   -e 's:$: $lt_compiler_flag:'`
    17577    (eval echo "\"\$as_me:17577: $lt_compile\"" >&5)
     17763   (eval echo "\"\$as_me:17763: $lt_compile\"" >&5)
    1757817764   (eval "$lt_compile" 2>conftest.err)
    1757917765   ac_status=$?
    1758017766   cat conftest.err >&5
    17581    echo "$as_me:17581: \$? = $ac_status" >&5
     17767   echo "$as_me:17767: \$? = $ac_status" >&5
    1758217768   if (exit $ac_status) && test -s "$ac_outfile"; then
    1758317769     # The compiler can only warn and ignore the option if not recognized
     
    1767917865   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1768017866   -e 's:$: $lt_compiler_flag:'`
    17681    (eval echo "\"\$as_me:17681: $lt_compile\"" >&5)
     17867   (eval echo "\"\$as_me:17867: $lt_compile\"" >&5)
    1768217868   (eval "$lt_compile" 2>out/conftest.err)
    1768317869   ac_status=$?
    1768417870   cat out/conftest.err >&5
    17685    echo "$as_me:17685: \$? = $ac_status" >&5
     17871   echo "$as_me:17871: \$? = $ac_status" >&5
    1768617872   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1768717873   then
     
    2043720623          -e 's%lib /OUT:%lib -OUT:%' \
    2043820624          -e "s%cygpath -w%$CYGPATH_W%" \
    20439           -e 's%$AR x \\$f_ex_an_ar_oldlib%bla=\\`lib -nologo -list \\$f_ex_an_ar_oldlib | xargs echo '"$mydos2unix"'\\`; echo \\$bla; for i in \\$bla; do lib -nologo -extract:\\$i \\$f_ex_an_ar_oldlib; done%' \
    20440           -e 's/$AR t/lib -nologo -list/' \
     20625          -e 's%$AR x \\$f_ex_an_ar_oldlib%bla=\\$(lib -nologo -list \\$('"$CYGPATH_W \$1"') '"$mydos2unix"' | xargs echo); echo \\$bla; for i in \\$bla; do lib -nologo -extract:\\$i \\$('"$CYGPATH_W \$1"'); done%' \
     20626          -e 's%$AR t "$f_ex_an_ar_oldlib"%lib -nologo -list \$('"$CYGPATH_W \$1"') '"$mydos2unix"'%' \
    2044120627          -e 's%f_ex_an_ar_oldlib="\($?*1*\)"%f_ex_an_ar_oldlib='\`"$CYGPATH_W"' \1`%' \
    2044220628          -e 's%^archive_cmds=.*%archive_cmds="\\$CC -o \\$lib \\$libobjs \\$compiler_flags \\\\\\`echo \\\\\\"\\$deplibs\\\\\\" | \\$SED -e '"\'"'s/ -lc\\$//'"\'"'\\\\\\` -link -dll~linknames="%' \
Note: See TracChangeset for help on using the changeset viewer.